commit:     540fdfd07e3580920b607671eb76be945652d8ba
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  4 00:58:07 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Nov  4 01:08:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=540fdfd0

sys-fs/fuse: version bump to 3.0.0_rc1

 profiles/package.mask             |  4 ++
 sys-fs/fuse/Manifest              |  1 +
 sys-fs/fuse/fuse-3.0.0_rc1.ebuild | 87 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 92 insertions(+)

diff --git a/profiles/package.mask b/profiles/package.mask
index 6ecb9da..d9a0e19 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -30,6 +30,10 @@
 
 #--- END OF EXAMPLES ---
 
+# Tim Harder <radher...@gentoo.org> (03 Nov 2016)
+# Masked for testing
+=sys-fs/fuse-3.0.0*
+
 # Pacho Ramos <pa...@gentoo.org> (03 Nov 2016)
 # Dead for ages and broken with giflib-5.1, bug #574218. Removal in a month.
 mail-filter/spamprobe

diff --git a/sys-fs/fuse/Manifest b/sys-fs/fuse/Manifest
index 2cc5c35..1905824 100644
--- a/sys-fs/fuse/Manifest
+++ b/sys-fs/fuse/Manifest
@@ -2,3 +2,4 @@ DIST fuse-2.9.4.tar.gz 577282 SHA256 
6be9c0bff6af8c677414935f31699ea5a7f8f5f791c
 DIST fuse-2.9.5.tar.gz 565245 SHA256 
579f371cc5ffc1afca7057512bf7d52988a9ede57859a7c55e5b9f72435cdbb5 SHA512 
65a7355a2e6b872ab055181222e8fb5918c3ea7b93eee3350a812a1545b2c2bee1bfc163ce1e57776d1721151223c437cfb92c4b286e075e68d0eed742447413
 WHIRLPOOL 
7b6b69b2b58e200e7c1957c2bbe4b57da1a400cbc695114c89566dc57b523fd513698e3d9b0e7125521f9e53b5e17c0397601bdaebe8bafc1790c363fa2f55bb
 DIST fuse-2.9.6.tar.gz 640070 SHA256 
0cb48bbc7106632d15a0c6bb582496c9884b869e329428891fe075a9e916f16b SHA512 
275133b7c3b2b62341fe30ceb59a4cab277de01bc7e7987e3a3ae2d5ddae5d62c5ac2786a6ca399a0c6a948882e453f4897d2d629b93e7a9f37745a13c8c0cfa
 WHIRLPOOL 
9fb544365f5fcedb440ca81614c9c8e832dc6e43cf2d147624f50907e4b3cb1df0bfbe4f356e8ad182596718fd69665db040a331fd1ed188e103b3278dc05205
 DIST fuse-2.9.7.tar.gz 661138 SHA256 
832432d1ad4f833c20e13b57cf40ce5277a9d33e483205fc63c78111b3358874 SHA512 
f47304d9c7a1815f7a2905b7bdb7785d4c10292a80c8dc1ec45d895af96bc6ffd6d84ff2617bd976a1d0867ab8ec1a404a5a05ace85a69ecca830f371d08f8e2
 WHIRLPOOL 
826f77920356c129cda5ca158e37327688d2aa044c0ecdaabe8d52e724b0349813460d876571672bcb59a5b8004018593abdb314187b6b6706fee69b9eadaae7
+DIST fuse-3.0.0rc1.tar.gz 747644 SHA256 
2b0b3a0489d1e06e2390af71c99dba1738e85f991a76bb5c0414e89dabc79715 SHA512 
eda0832a5b0f480d0969601b89be6b7486276079ef8e53372699523d8be1d0961d427d7de29d7a538edcb7443240c7d2e3621c286180e8f27fdd1be9c4d31c9b
 WHIRLPOOL 
d0c62481e07cc96bb0939616db5c87b9d7c53e8e217128f68f3caed68fbcc109d56e88fbe5e7834ad2e695116b922197552d70c314f88058c407d39497ba65b5

diff --git a/sys-fs/fuse/fuse-3.0.0_rc1.ebuild 
b/sys-fs/fuse/fuse-3.0.0_rc1.ebuild
new file mode 100644
index 00000000..e0aa956
--- /dev/null
+++ b/sys-fs/fuse/fuse-3.0.0_rc1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils libtool linux-info udev toolchain-funcs
+
+MY_P=${P/_rc/rc}
+
+DESCRIPTION="An interface for filesystems implemented in userspace"
+HOMEPAGE="https://github.com/libfuse/libfuse";
+SRC_URI="https://github.com/libfuse/libfuse/releases/download/${MY_P}/${MY_P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="examples kernel_linux kernel_FreeBSD static-libs"
+
+PDEPEND="kernel_FreeBSD? ( sys-fs/fuse4bsd )"
+DEPEND="virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       if use kernel_linux ; then
+               if kernel_is lt 2 6 9 ; then
+                       die "Your kernel is too old."
+               fi
+               CONFIG_CHECK="~FUSE_FS"
+               FUSE_FS_WARNING="You need to have FUSE module built to use 
user-mode utils"
+               linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       # sandbox violation with mtab writability wrt #438250
+       # don't sed configure.in without eautoreconf because of maintainer mode
+       sed -i 's:umount --fake:true --fake:' configure || die
+       elibtoolize
+
+       default
+}
+
+src_configure() {
+       econf \
+               INIT_D_PATH="${EPREFIX}/etc/init.d" \
+               MOUNT_FUSE_PATH="${EPREFIX}/sbin" \
+               UDEV_RULES_PATH="${EPREFIX}/$(get_udevdir)/rules.d" \
+               $(use_enable static-libs static) \
+               --disable-example
+}
+
+src_install() {
+       local DOCS=( AUTHORS README.md doc/README.NFS doc/kernel.txt )
+       default
+
+       if use examples ; then
+               docinto examples
+               dodoc example/*
+       fi
+
+       if use kernel_linux ; then
+               newinitd "${FILESDIR}"/fuse.init fuse
+       elif use kernel_FreeBSD ; then
+               insinto /usr/include/fuse
+               doins include/fuse_kernel.h
+               newinitd "${FILESDIR}"/fuse-fbsd.init fuse
+       else
+               die "We don't know what init code install for your kernel, 
please file a bug."
+       fi
+
+       prune_libtool_files
+       rm -rf "${D}"/dev
+
+       dodir /etc
+       cat > "${ED}"/etc/fuse.conf <<-EOF
+               # Set the maximum number of FUSE mounts allowed to non-root 
users.
+               # The default is 1000.
+               #
+               #mount_max = 1000
+
+               # Allow non-root users to specify the 'allow_other' or 
'allow_root'
+               # mount options.
+               #
+               #user_allow_other
+       EOF
+}

Reply via email to